%global module	XML-Encoding
%global momorel 1

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	2.07
Release:        %{momorel}m%{?dist}
License:	GPL or Artistic
Group: 		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.gz
NoSource:       0
URL:		http://www.cpan.org/modules/by-module/XML/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq:	perl >= 5.8.5
BuildArch:      noarch
Requires:       perl-XML-Parser

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/XML/Encoding/.packlist

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/compile_encoding
%{_bindir}/make_encmap
%{perl_vendorlib}/XML/*
%{_mandir}/man?/*

%changelog
* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.07-1m)
- update to 2.07

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.05-2m)
- rebuild against rpm-4.6

* Fri Sep 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.05-1m)
- update to 2.05

* Tue Sep  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-1m)
- update to 2.04

* Wed Jul  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.03-1m)
- update to 2.03

* Mon Jun 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.02-1m)
- update to 2.02

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.01-2m)
- rebuild against gcc43

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.01-1m)
- update to 2.01

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.01-15m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.01-14m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.01-13m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.01-12m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.01-11m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.01-10m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.01-9m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.01-8m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.01-7m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.01-6m)
- kill %%define version

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.01-5m)
- rebuild against perl-5.8.0

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.01-4k)
- rebuild against for perl-5.6.1

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (1.01-2k)
- merge from rawhide. based on 1.01-2.

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.01-2
- imported from mandrake. tweaked man path.

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 1.01-1mdk
- Newly introduced for Foomatic.

